commit e205cd507ed964defb2365b12296391b0be66dfc
Author: Eric Biggers <ebiggers@google.com>
Date:   Tue Jan 24 11:54:41 2023 +0100

    options: fix cl_target_option_print_diff() with strings
    
    Fix an obvious copy-and-paste error where ptr1 was used instead of ptr2.
    This bug caused the dump file produced by -fdump-ipa-inline-details to
    not correctly show the difference in target options when a function
    could not be inlined due to a target option mismatch.
    
    gcc/ChangeLog:
            PR bootstrap/90543
            * optc-save-gen.awk: Fix copy-and-paste error.
    
    Signed-off-by: Eric Biggers <ebiggers@google.com>
    (cherry picked from commit 9f0cb3368af735e95776769c4f28fa9cbb60eaf8)

diff --git a/gcc/optc-save-gen.awk b/gcc/optc-save-gen.awk
index 6033f519866..f87bef3e554 100644
--- a/gcc/optc-save-gen.awk
+++ b/gcc/optc-save-gen.awk
@@ -634,7 +634,7 @@ for (i = 0; i < n_target_string; i++) {
 	print "             indent, \"\",";
 	print "             \"" name "\",";
 	print "             ptr1->x_" name " ? ptr1->x_" name " : \"(null)\",";
-	print "             ptr2->x_" name " ? ptr1->x_" name " : \"(null)\");";
+	print "             ptr2->x_" name " ? ptr2->x_" name " : \"(null)\");";
 	print "";
 }
 

